# Method Image.Image()->orient4()

Method orient4

  ```object`` orient(`void`|`array`(`object`) `something`)`
  ``array`(`object`) orient4()`

Description

  Draws images describing the orientation of the current image.

  `orient` gives an HSV image (run a hsv_to_rgb pass on it to get a viewable image). corresponding to the angle of the orientation:

            |      /    -    \
           hue=  0     64   128  192  (=red in an hsv image)
               purple cyan green red

  Red, green and blue channels are added and not compared separately.

  If you first use orient4 you can give its output as input to this function.

  The `orient4` function gives back 4 image objects, corresponding to the amount of different directions, see above.

Returns

  an image or an array of the four new image objects

Note

  experimental status; may not be exact the same output in later versions